Bug 45852

Summary: Range::selectNode and selectNodeContents misbehave when argument is in another document
Product: WebKit Reporter: Alexey Proskuryakov <ap>
Component: DOMAssignee: Alexey Proskuryakov <ap>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, lcamtuf, timdown
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 42517, 42959    
Attachments:
Description Flags
proposed fix none

Description Alexey Proskuryakov 2010-09-15 16:49:33 PDT
These function should just work - but the former raises an exception, while another produces an invalid range.

Working with an invalid range causes badness later on (at least exception failures).
Comment 1 Alexey Proskuryakov 2010-09-15 16:52:05 PDT
Created attachment 67743 [details]
proposed fix
Comment 2 WebKit Commit Bot 2010-09-16 08:06:10 PDT
Comment on attachment 67743 [details]
proposed fix

Clearing flags on attachment: 67743

Committed r67618: <http://trac.webkit.org/changeset/67618>
Comment 3 WebKit Commit Bot 2010-09-16 08:06:15 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Michal Zalewski 2010-09-17 11:08:43 PDT
This is non-security, right?
Comment 5 Alexey Proskuryakov 2010-09-17 11:21:54 PDT
Yes, I don't see any way this would be a security issue. Just crashing with assertions when working on bug 42959.
Comment 6 Tim Down 2011-08-25 09:48:26 PDT
This is a subset of bug 42517, which has not been fixed.
Comment 7 Lucas Forschler 2019-02-06 09:03:35 PST
Mass moving XML DOM bugs to the "DOM" Component.